#!/usr/bin/php
<?php
$germanContent = file("german.php");
$germanLang = splitToLang($germanContent);
$englishContent = file("english.php");
$englishLang = splitToLang($englishContent);


foreach ($englishContent as $line) {
    $langs = explode("=", $line);
    $lang = rtrim($langs[0]);
    //echo $lang[0];
    if (!in_array($lang,$germanLang)) {
	echo "$line";
    }
}




function splitToLang($content) {
    $result = array();
    foreach ($content as $line) {
	$langs = explode("=", $line);
	$lang = rtrim($langs[0]);
	$result[] = $lang;
    }
    return $result;
}



?>